GoSmarter Logo
GoSmarter API Gateway

Search for address candidates

GET
https://api.gosmarter.ai
/api/company/{companyId}/geocoding/search

Proxies a free-text address query to Azure Maps Search (Fuzzy Search) and returns a small list of candidate matches with structured address fields and lat/long, for address autocomplete/geocoding.

Search for address candidates › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Search for address candidates › query Parameters

query
​string · required

Free-text address query, e.g. "221B Baker Street London"

limit
​integer · int32

Maximum number of candidates to return (default 5, max 10)

Search for address candidates › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Search for address candidates › Responses

Candidate address matches, best match first

formattedAddress
​string

Full formatted address as returned by Azure Maps

addressLine1
​string

Address line 1 (street number + street name)

city
​string

City / municipality

region
​string

Region/state/county

postalCode
​string

Postal/ZIP code

countryIso2
​string

ISO-3166 alpha-2 country code

latitude
​number · double

Latitude of the matched location

longitude
​number · double

Longitude of the matched location

confidence
​number · double

Azure Maps match confidence score (0-1, higher is better)